snd_ctl_find_id
Prev | Chapter 22. Sound Devices | Next

## Name

snd_ctl_find_id — find the control instance with the given id

## Synopsis

`struct snd_kcontrol * snd_ctl_find_id (` | struct snd_card * | card,
| struct snd_ctl_elem_id * | id`)`;

## Arguments

`card`

  the card instance

`id`

  the id to search

## Description

Finds the control instance with the given id from the card.

Returns the pointer of the instance if found, or NULL if not.

The caller must down card->controls_rwsem before calling this function (if the race condition can happen).

Prev | Up | Next
snd_ctl_find_numid | Home | snd_pcm_set_ops